Package com.google.android.exoplayer2.drm

## Interface ExoMediaDrm.OnExpirationUpdateListener

- Enclosing interface:
    ExoMediaDrm

      public static interface ExoMediaDrm.OnExpirationUpdateListener

  Called when a session expiration update occurs.
  See Also:
    `MediaDrm.OnExpirationUpdateListener`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onExpirationUpdate​(ExoMediaDrm mediaDrm, byte[] sessionId, long expirationTimeMs)` | Called when a session expiration update occurs, to inform the app about the change in expiration time.

- - ### Method Detail

    - #### onExpirationUpdate

          void onExpirationUpdate​(ExoMediaDrm mediaDrm,
                                  byte[] sessionId,
                                  long expirationTimeMs)

      Called when a session expiration update occurs, to inform the app about the change in expiration time.
      Parameters:
        `mediaDrm` - The `ExoMediaDrm` object on which the event occurred.
        `sessionId` - The DRM session ID on which the event occurred
        `expirationTimeMs` - The new expiration time for the keys in the session. The time is in milliseconds, relative to the Unix epoch. A time of 0 indicates that the keys never expire.